package com.realnet.angulardatatype.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardatatype.Entity.Onetomany;
import com.realnet.angulardatatype.Services.OnetomanyService ;






@RequestMapping(value = "/Onetomany")
 @CrossOrigin("*") 
@RestController
public class OnetomanyController {
	@Autowired
	private OnetomanyService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Onetomany")
		  public Onetomany Savedata(@RequestBody Onetomany data) {
		Onetomany save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Onetomany/{id}")
	public  Onetomany update(@RequestBody Onetomany data,@PathVariable Integer id ) {
		Onetomany update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Onetomany/getall/page")
	public Page<Onetomany> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Onetomany> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Onetomany")
	public List<Onetomany> getdetails() {
		 List<Onetomany> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Onetomany")
	public List<Onetomany> getallwioutsec() {
		 List<Onetomany> get = Service.getdetails();		
		return get;
}
@GetMapping("/Onetomany/{id}")
	public  Onetomany  getdetailsbyId(@PathVariable Integer id ) {
		Onetomany  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Onetomany/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}